Summary: Netselect
Name: netselect
Version: 0.3
Release: 1%{?dist}
License: GPL
Group: Applications/System
URL: http://www.worldvisions.ca/~apenwarr/netselect/
Source: http://www.worldvisions.ca/~apenwarr/netselect/netselect-0.3.tar.gz
Source1: netselect-yum
Source2: netselect.1
Requires: wget, yum >= 2.1.11
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This is netselect, an ultrafast intelligent parallelizing binary-search 
implementation of "ping."

Included is a shell script (netselect-yum) using netselect to determine 
the best mirror server for each repository defined in /etc/yum.repos.d/.
This can only work with repositories using the "mirrorlist" directive.

%prep
%setup -q -n %{name}

%build
gcc $RPM_OPT_FLAGS -I. -g netselect.c -o %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -D -p -m 755 netselect $RPM_BUILD_ROOT%{_bindir}/netselect
install -D -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/netselect-yum
install -D -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/man1/netselect.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ChangeLog HISTORY README README.traceroute
%{_bindir}/netselect
%{_bindir}/netselect-yum
%{_mandir}/man1/%{name}*

%changelog
* Thu May 12 2005 Adrian Reber <adrian@lisas.de> - 0.3-1
- added new netselect-yum with support to select more than
  one mirror server
- removed -s and added -p to install command
- added %%{dist}
- now in one package instead of two

* Thu Nov 18 2004 Adrian Reber <adrian@lisas.de> - 0.3-0.fdr.2
- included netselect-yum
- included netselect.1 from debian

* Tue Feb 10 2004 Adrian Reber <adrian@lisas.de> - 0.3-0.fdr.1
- initial package
